/*****************************************************************************
 *
 * xagylState.h -- XAgyl filter wheel state header
 *
 * Copyright 2014 James Fidell (james@openastroproject.org)
 *
 * License:
 *
 * This file is part of the Open Astro Project.
 *
 * The Open Astro Project is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Open Astro Project is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Open Astro Project.  If not, see
 * <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/

#ifndef OA_XAGYL_FW_STATE_H
#define OA_XAGYL_FW_STATE_H

#include <pthread.h>

typedef struct XAGYL_STATE {
  char	           devicePath[ PATH_MAX+1];
  int              initialised;
  int              index;
  int		   wheelType;
  int		   fd;
  int		   currentPosition;
  int		   numSlots;
  void*		   ftdiContext;
  pthread_mutex_t  serialMutex;
} XAGYL_STATE;

#endif	/* OA_XAGYL_FW_STATE_H */
